> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /siemens/search/partners

> Search Siemens partners

**Price:** 1 credit



## OpenAPI

````yaml /openapi/company-startup-intel.json post /api/siemens/search/partners
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/siemens/search/partners:
    post:
      tags:
        - Siemens
      summary: /siemens/search/partners
      description: |-
        Search Siemens partners

        **Price:** 1 credit
      operationId: __api_siemens_search_partners_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SiemensPartnersPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SiemensPartnersResult'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SiemensPartnersPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        partner_type:
          $ref: '#/components/schemas/PartnerType'
        country:
          type: string
          default: ''
        count:
          type: integer
          exclusiveMinimum: 0
      type: object
      required:
        - partner_type
        - count
    SiemensPartnersResult:
      properties:
        '@type':
          type: string
          default: SiemensPartnersResult
        id:
          type: string
        name:
          type: string
          default: ''
        partner_type:
          type: string
          default: ''
        image:
          type: string
          default: ''
        email:
          type: string
          default: ''
        phone:
          type: string
          default: ''
        website:
          type: string
          default: ''
        street:
          type: string
          default: ''
        city:
          type: string
          default: ''
        state:
          type: string
          default: ''
        postal_code:
          type: string
          default: ''
        country_code:
          type: string
          default: ''
        country:
          type: string
          default: ''
        latitude:
          type: number
          default: 0
        longitude:
          type: number
          default: 0
        location_count:
          type: integer
          default: 0
        is_child:
          type: boolean
          default: false
        is_distribution_partner:
          type: boolean
          default: false
        is_ifa:
          type: boolean
          default: false
        is_expert:
          type: boolean
          default: false
        modules:
          items:
            type: string
          type: array
          default: []
        expert_modules:
          items:
            type: string
          type: array
          default: []
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    PartnerType:
      type: string
      enum:
        - Solution Partner
        - Distributor / Approved Partner - Value Added Reseller
        - Repair Partner / Approved Partner - Industry Services
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````